Skip to main content
PUT
Update authorization controls

Authorizations

Authorization
string
header
required

Secret API key, e.g. sk_live_... or sk_test_....

Path Parameters

card_id
string
required

Body

application/json

Rules applied to every authorization on the card. allowed_* and blocked_* lists of the same kind cannot both be set.

allowed_mccs
string[]

Only these merchant category codes are allowed.

Pattern: ^[0-9]{4}$
blocked_mccs
string[]

These merchant category codes are declined.

Pattern: ^[0-9]{4}$
allowed_countries
string[]

Two-letter ISO 3166-1 alpha-2 country code.

Pattern: ^[A-Z]{2}$
blocked_countries
string[]

Two-letter ISO 3166-1 alpha-2 country code.

Pattern: ^[A-Z]{2}$
allow_online
boolean
default:true
allow_contactless
boolean
default:true
allow_cash_withdrawal
boolean
default:false

Response

OK.

Rules applied to every authorization on the card. allowed_* and blocked_* lists of the same kind cannot both be set.

allowed_mccs
string[]

Only these merchant category codes are allowed.

Pattern: ^[0-9]{4}$
blocked_mccs
string[]

These merchant category codes are declined.

Pattern: ^[0-9]{4}$
allowed_countries
string[]

Two-letter ISO 3166-1 alpha-2 country code.

Pattern: ^[A-Z]{2}$
blocked_countries
string[]

Two-letter ISO 3166-1 alpha-2 country code.

Pattern: ^[A-Z]{2}$
allow_online
boolean
default:true
allow_contactless
boolean
default:true
allow_cash_withdrawal
boolean
default:false